
import probabilitytree; //module cree par Gaetan Marris
import dlf_couleurs;
import dlf_tex;

pen[] coul={noir,gris};

unitsize(x=1cm,y=1cm);

DistVertEntreNoeuds = .5cm;
DistHoriEntreNiveaux = 3.5cm;
HauteurNoeudMinimale = .5cm;
StyleEvenParDefaut = 1bp+black;
StyleBackGrParDefaut = invisible;
StyleProbParDefaut = black;
StyleBrParDefaut = black;

// Definition de la structure de l'arbre
Noeud   RAC = addN( );

Noeud NA  = addN( RAC," $A$ ", coul, " $1/3$ " );
Noeud NB  = addN( RAC," $\overline{B}$ ", coul, " $2/3$ " );
Noeud NAA  = addN( NA," $G$ ", coul, " $1/4$ " );
Noeud NAB  = addN( NA," $F$ ", coul, " $3/4$ " );
Noeud NBA  = addN( NB," $G$ ", coul, " $1/2$ " );
Noeud NBB  = addN( NB," $F$ ", coul, " $1/2$ " );


// Trace de l'arbre
TracerArbre(racine=RAC,pos=(0,0));

//%%%%%%%%%%%%%%%% Complements %%%%%%%%%%%%%%%%%%%%%%%%



real xmin,xmax,ymin,ymax,dx,dy;
xmin=-1;
xmax=9;
ymin=-3;
ymax=3;
dx=1;
dy=1;

path p;
p=(xmin,ymin)--(xmax,ymin)--(xmax,ymax)--(xmin,ymax)--cycle;
clip(currentpicture,p);
draw(p,gris);



// titre
real titre;
titre=0;

//%%%%%%%%%%%%%%%% titres %%%%%%%%%%%%%%%%%%%%%%%%



if (titre==1)
{
  draw(shift(0,0.1*dy)*(xmin,ymax)--shift(0,0.1*dy)*(xmax,ymax),gris+1.bp);
  draw (shift(0,1.3*dy)*(xmin,ymax)--shift(0,1.3*dy)*(xmax,ymax),gris+1.bp);
}


