# -*- coding:Utf-8 -*-
#!/usr/bin/python

# \copyleft Denis LE FUR \copyright
# This work may be distributed and/or mofified under the conditions
# or the LaTeX Project Public Licence, either v1.3 or (at your option)
# any later version. The latest version is in
#   http://www.latex-project.org/lppl/
# This work consists of the files supp_lissage.py.


import pygtk
pygtk.require("2.0")
import gtk	

import os
import sys

sys.path.append("../../Divers/")
from pro_divers import *




#-------------------------------------------------------------
# Met à jour le code supplémentaire latex
#-------------------------------------------------------------	
def maj_codesupp(lissage):
	text_view=lissage.textviewSupp
	ListeValeurs=lissage.entryListeValeurs.get_text()
	ListeEffectifs=lissage.entryListeEffectifs.get_text()
	
	str_buffer="Voici le tableau décrivant la série :\\\ \n\n"
	str_buffer=str_buffer+"\\begin{pro-tableu}{1}\n"
	str_buffer=str_buffer+"["+ListeValeurs+"],\n"
	str_buffer=str_buffer+"["+ListeEffectifs+"]\n"
	str_buffer=str_buffer+"\\end{pro-tableu}\n\n"
	
	str_buffer=str_buffer+"Voici les résultats obtenus :\\\ \n\n"
	str_buffer=str_buffer+"\\begin{pro-1varstat}{1}\n"
	str_buffer=str_buffer+"["+ListeValeurs+"],\n"
	str_buffer=str_buffer+"["+ListeEffectifs+"]\n"
	str_buffer=str_buffer+"\\end{pro-1varstat}\n\n"
	
	#str_buffer="Non utilisé\n"
		
	# Récupération du buffer
	text_buffer = text_view.get_buffer()
	# Suppression des données du buffer
	start_iter = text_buffer.get_start_iter()
	end_iter = text_buffer.get_end_iter()
	text_buffer.delete(start_iter, end_iter)
	# Affichage du fichier
	start_iter = text_buffer.get_start_iter()
	text_buffer.insert(start_iter, str_buffer)
	
	
